Skip to content
Dashboard
Theme
Theme

List an end user's live sessions

GET /v1/users/{user}/sessions: List an end user's live sessions.

View Markdown

GET /v1/users/{user}/sessions

Scope
users:read
Auth
Secret key (sk_…)
Since
1.0
  • user string Required

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/users/usr_01J9Z3K5V7W8X9Y0Z1A2B3C4D5/sessions" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "list",
"data": [
{
"id": "uses_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "session",
"user": "usr_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"organization": "example_organization",
"auth_methods": [
"example_auth_method"
],
"mfa": true,
"ip": "example_ip",
"user_agent": "example_user_agent",
"created_at": "2026-01-15T09:30:00Z",
"last_seen_at": "2026-01-15T09:30:00Z",
"idle_expires_at": "2026-01-15T09:30:00Z",
"absolute_expires_at": "2026-01-15T09:30:00Z"
}
]
}